For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
预约演示登录免费开始
  • 入门
    • 概览
    • 工作原理
    • 快速开始
    • 项目结构
    • Customer showcase
    • 变更日志
  • 配置
    • 概览
    • 站点级设置
    • 页面级设置
  • 编写内容
    • Markdown 基础
    • Markdown 中的富媒体
    • Fern 编辑器
    • 可复用代码片段
  • AI 功能
    • 概览
    • Fern Writer
    • AI 生成的示例
    • Markdown 访问
      • 概览
      • Agent 指令
      • 智能体指令
      • 分析与集成
    • MCP 服务器
    • API 目录发现
      • 概览
        • 简介
          • POSTIndex Website
          • GETGet Website Status
          • GETGet Website By Id
          • GETGet Websites
          • POSTReindex Website
          • DELDelete Website
          • DELDelete All Websites
  • Public API
    • GETJWT from Fern API key
    • GETAlgolia search credentials
    • GETCurrent user information
  • Fern Writer API
    • GETGet Fern Writer Install Link
Checking status...
SOC2Soc 2 Type II
© 2026 Fern • Birch Solutions, Inc., a Postman company

Documentation

SDKsDocsAsk FernCLI Reference

API Definitions

OpenAPIAsyncAPIOpenRPCgRPC

Resources

BlogSupportPricing

Company

Brand KitPrivacy PolicyTerms of Service
LogoLogo
预约演示登录免费开始
AI 功能Ask FernAPI referenceWebsite

Get Website By Id

||以 Markdown 格式查看|
GET
/sources/website/:domain/:website_id
GET
/sources/website/:domain/:website_id
$curl https://fai.buildwithfern.com/sources/website/domain/website_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "website": {
3 "website_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
4 "domain": "example.com",
5 "base_url": "https://example.com",
6 "page_url": "https://example.com/products/widget-123",
7 "chunk": "<div><p>Introducing our latest widget, designed for efficiency and durability.</p></div>",
8 "document": "<html><head><title>Widget 123 - Example.com</title></head><body><h1>Widget 123</h1><p>Details about widget 123.</p></body></html>",
9 "created_at": "2024-01-15T09:30:00Z",
10 "updated_at": "2024-01-15T09:30:00Z",
11 "title": "Widget 123 - Example.com",
12 "version": "1.0.3",
13 "product": "Widget 123",
14 "keywords": [
15 "widget",
16 "product",
17 "example"
18 ],
19 "authed": false
20 }
21}
Get a single indexed website page by ID.
此页面是否有帮助?
上一个

Get Website Status

下一个

Get Websites

身份验证

AuthorizationBearer

Bearer 身份验证,格式为 Bearer <token>,其中 token 是您的身份验证令牌。

路径参数

domainstring必需
website_idstring必需

响应

Successful Response
websiteobject
The requested website

错误

422
Unprocessable Entity Error